跳到主要内容
Sursa Developers

对象

AnswerResponse

助手的回答(POST /v1/ask、不使用流式的 POST /v1/chat,以及流的 done 事件)。有几种形式:常规回答;“没有文档”(empty: no_hits,不含 provenance);对受限主题的拒绝(empty: restricted,附带 restricted);防护规则拒绝回答(empty: guardrail,附带 guardrail,正文为组织的标准拒绝消息)。缓存回答带有 cached: true 和 cache_hit(完全相同的重复问题,或对相似问题的回答)。仅基于已核实卡片的回答(VERIFIED_ONLY)带有 verified_only: true。

字段

  • answerstring必填
  • question_idinteger必填
  • querystring
  • collectionstring必填
  • sourcesarray of Source必填
  • table_queriesarray of TableQuery必填
  • datasetsarray of Dataset必填
  • chartsarray of ChartSpec必填
  • warningsarray of AnswerWarning必填
  • timingsTimings必填
  • provenancearray of NumberProvenance
  • emptystring

    可选值: no_hitsrestrictedguardrailno_data_for_period

  • verificationAnswerVerification
  • alt_periodsarray of AnswerAltPeriod

    items ≤ 6

  • drilldownarray of AnswerDrilldown

    items ≤ 20

  • restrictedRestrictedInfo
  • verified_onlyboolean
  • cachedboolean
  • out_of_scopeAnswerOutOfScope
  • attachmentsarray of Attachment
  • export_errorstring
  • toolsstring | null

    本次回答使用工具的原因:request(明确要求);compare、compute、action(根据问题判断);needs_calc(需要对表格进行计算);summary(合集或文档的概览);mcp(组织已连接外部 MCP 服务器)。

    可选值: requestcomparecomputeactionneeds_calcsummarymcpnull

  • tool_callsarray of ToolCallInfo
  • calculationsarray of Calculation
  • pending_actionsarray of PendingAction
  • entitiesarray of AnswerEntity必填
  • followupsarray of Followup必填
  • conversation_idstring

    仅用于带对话的 POST /v1/chat。

  • answer_idstring

    回答对象的 ID。

使用方

所属对象

ChatDone